diff --git a/drivers/video/sunxi/lcd_fb/logo.c b/drivers/video/sunxi/lcd_fb/logo.c
index db86acbb0..a9d50506c 100644
--- a/drivers/video/sunxi/lcd_fb/logo.c
+++ b/drivers/video/sunxi/lcd_fb/logo.c
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * logo.c
@@ -28,26 +28,9 @@ static u32 disp_reserve_size;
 static u32 disp_reserve_base;
 
 #ifndef MODULE
-int disp_reserve_mem(bool reserve)
-{
-	if (!disp_reserve_size || !disp_reserve_base)
-		return -EINVAL;
-
-	if (reserve)
-		memblock_reserve(disp_reserve_base, disp_reserve_size);
-	else
-#if LINUX_VERSION_CODE >= KERNEL_VERSION(6, 1, 0)
-		memblock_free(__va(disp_reserve_base), disp_reserve_size);
-#else
-		memblock_free(disp_reserve_base, disp_reserve_size);
-#endif
-
-	return 0;
-}
-
 static int __init early_disp_reserve(char *str)
 {
-	u32 temp[3] = {0};
+	u32 temp[3] = { 0 };
 
 	if (!str)
 		return -EINVAL;
@@ -60,16 +43,17 @@ static int __init early_disp_reserve(char *str)
 		return -EINVAL;
 
 	/* arch_mem_end = memblock_end_of_DRAM(); */
-	disp_reserve_mem(true);
-	pr_info("disp reserve base 0x%x ,size 0x%x\n",
-					disp_reserve_base, disp_reserve_size);
+	memblock_reserve(disp_reserve_base, disp_reserve_size);
+	pr_info("disp reserve base 0x%x ,size 0x%x\n", disp_reserve_base,
+		disp_reserve_size);
 	return 0;
 }
 early_param("disp_reserve", early_disp_reserve);
 #endif
 
-static int bmp_to_fb(const void *psrc, struct bmp_header *bmp_header,
-			  struct fb_info *info, void *pdst)
+static int sunxi_lcd_fb_bmp_to_fb(const void *psrc,
+				  struct bmp_header *bmp_header,
+				  struct fb_info *info, void *pdst)
 {
 	int srclinesize, dstlinesize, w, h;
 	const unsigned char *psrcline = NULL, *psrcdot = NULL;
@@ -78,18 +62,20 @@ static int bmp_to_fb(const void *psrc, struct bmp_header *bmp_header,
 	int BppBmp = 3;
 
 	if (!psrc || !pdst || !bmp_header || !info) {
-		lcd_fb_wrn("Invalid parameter\n");
+		LCDFB_WRN("Invalid parameter\n");
 		return -1;
 	}
 
 	if (bmp_header->bit_count == 24)
 		zero_num = (4 - ((3 * bmp_header->width) % 4)) & 3;
 
-	w = (info->var.xres < bmp_header->width) ? info->var.xres
-						 : bmp_header->width;
-	bmp_real_height = (bmp_header->height & 0x80000000) ? (-bmp_header->
-						 height) : (bmp_header->height);
-	h = (info->var.yres < bmp_real_height) ? info->var.yres : bmp_real_height;
+	w = (info->var.xres < bmp_header->width) ? info->var.xres :
+							 bmp_header->width;
+	bmp_real_height = (bmp_header->height & 0x80000000) ?
+					(-bmp_header->height) :
+					(bmp_header->height);
+	h = (info->var.yres < bmp_real_height) ? info->var.yres :
+						       bmp_real_height;
 
 	BppBmp = bmp_header->bit_count >> 3;
 	srclinesize = bmp_header->width * BppBmp + zero_num;
@@ -107,20 +93,31 @@ static int bmp_to_fb(const void *psrc, struct bmp_header *bmp_header,
 				for (j = 0; j < w; ++j) {
 					if (info->var.bits_per_pixel == 32 &&
 					    bmp_header->bit_count == 24) {
-						*pdstdot++ = psrcdot[j * BppBmp];
-						*pdstdot++ = psrcdot[j * BppBmp + 1];
-						*pdstdot++ = psrcdot[j * BppBmp + 2];
+						*pdstdot++ =
+							psrcdot[j * BppBmp];
+						*pdstdot++ =
+							psrcdot[j * BppBmp + 1];
+						*pdstdot++ =
+							psrcdot[j * BppBmp + 2];
 						*pdstdot++ = 0xff;
-					} else if (info->var.bits_per_pixel == 16 &&
-						   bmp_header->bit_count >= 24) {
+					} else if (info->var.bits_per_pixel ==
+							   16 &&
+						   bmp_header->bit_count >=
+							   24) {
 						/* little endian */
 						*pdstdot++ =
-							((psrcdot[j * BppBmp + 1] << 3) &
+							((psrcdot[j * BppBmp + 1]
+							  << 3) &
 							 0xe0) +
-							((psrcdot[j * BppBmp] >> 3) & 0x1f);
+							((psrcdot[j * BppBmp] >>
+							  3) &
+							 0x1f);
 						*pdstdot++ =
-							(psrcdot[j * BppBmp + 2] & 0xf8) +
-							((psrcdot[j * BppBmp + 1] >> 5) &
+							(psrcdot[j * BppBmp + 2] &
+							 0xf8) +
+							((psrcdot[j * BppBmp +
+								  1] >>
+							  5) &
 							 0x07);
 					}
 				}
@@ -141,20 +138,31 @@ static int bmp_to_fb(const void *psrc, struct bmp_header *bmp_header,
 				for (j = 0; j < w; ++j) {
 					if (info->var.bits_per_pixel == 32 &&
 					    bmp_header->bit_count == 24) {
-						*pdstdot++ = psrcdot[j * BppBmp];
-						*pdstdot++ = psrcdot[j * BppBmp + 1];
-						*pdstdot++ = psrcdot[j * BppBmp + 2];
+						*pdstdot++ =
+							psrcdot[j * BppBmp];
+						*pdstdot++ =
+							psrcdot[j * BppBmp + 1];
+						*pdstdot++ =
+							psrcdot[j * BppBmp + 2];
 						*pdstdot++ = 0xff;
-					} else if (info->var.bits_per_pixel == 16 &&
-						   bmp_header->bit_count >= 24) {
+					} else if (info->var.bits_per_pixel ==
+							   16 &&
+						   bmp_header->bit_count >=
+							   24) {
 						/* little endian */
 						*pdstdot++ =
-							((psrcdot[j * BppBmp + 1] << 3) &
+							((psrcdot[j * BppBmp + 1]
+							  << 3) &
 							 0xe0) +
-							((psrcdot[j * BppBmp] >> 3) & 0x1f);
+							((psrcdot[j * BppBmp] >>
+							  3) &
+							 0x1f);
 						*pdstdot++ =
-							(psrcdot[j * BppBmp + 2] & 0xf8) +
-							((psrcdot[j * BppBmp + 1] >> 5) &
+							(psrcdot[j * BppBmp + 2] &
+							 0xf8) +
+							((psrcdot[j * BppBmp +
+								  1] >>
+							  5) &
 							 0x07);
 					}
 				}
@@ -167,7 +175,8 @@ static int bmp_to_fb(const void *psrc, struct bmp_header *bmp_header,
 	return 0;
 }
 
-static void *Fb_map_kernel(unsigned long phys_addr, unsigned long size)
+static void *sunxi_lcd_fb_fb_map_kernel(unsigned long phys_addr,
+					unsigned long size)
 {
 	int npages = PAGE_ALIGN(size) / PAGE_SIZE;
 	struct page **pages = vmalloc(sizeof(struct page *) * npages);
@@ -190,26 +199,13 @@ static void *Fb_map_kernel(unsigned long phys_addr, unsigned long size)
 	return vaddr;
 }
 
-static void Fb_unmap_kernel(void *vaddr)
+static void sunxi_lcd_fb_unmap_kernel(void *vaddr)
 {
 	vunmap(vaddr);
 }
 
 #if IS_ENABLED(CONFIG_DECOMPRESS_LZMA)
-struct lzma_header {
-	char signature[4];
-	u32 file_size;
-	u32 original_file_size;
-};
-
-struct sunxi_bmp_store {
-	int x;
-	int y;
-	int bit;
-	void *buffer;
-};
-
-int lzma_decode(uintptr_t paddr, struct fb_info *info)
+int sunxi_lcd_fb_lzma_decode(uintptr_t paddr, struct fb_info *info)
 {
 	void *vaddr = NULL;
 	long pos = 0;
@@ -226,14 +222,16 @@ int lzma_decode(uintptr_t paddr, struct fb_info *info)
 	char *bmp_data = NULL;
 
 	if (!paddr || !info) {
-		lcd_fb_wrn("Null pointer\n");
+		LCDFB_WRN("Null pointer\n");
 		goto OUT;
 	}
 
-	vaddr = (void *)Fb_map_kernel(paddr, sizeof(struct lzma_header));
+	vaddr = (void *)sunxi_lcd_fb_fb_map_kernel(paddr,
+						   sizeof(struct lzma_header));
 	if (vaddr == NULL) {
-		lcd_fb_wrn("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
-		      (void *)paddr, (unsigned int)sizeof(struct lzma_header));
+		LCDFB_WRN("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
+			  (void *)paddr,
+			  (unsigned int)sizeof(struct lzma_header));
 		goto OUT;
 	}
 
@@ -243,33 +241,33 @@ int lzma_decode(uintptr_t paddr, struct fb_info *info)
 	    (lzma_head.signature[1] != 'Z') ||
 	    (lzma_head.signature[2] != 'M') ||
 	    (lzma_head.signature[3] != 'A')) {
-		lcd_fb_wrn("this is not a LZMA file\n");
-		Fb_unmap_kernel(vaddr);
+		LCDFB_WRN("this is not a LZMA file\n");
+		sunxi_lcd_fb_unmap_kernel(vaddr);
 		goto OUT;
 	}
 
-	Fb_unmap_kernel(vaddr);
+	sunxi_lcd_fb_unmap_kernel(vaddr);
 
 	out = kmalloc(lzma_head.original_file_size, GFP_KERNEL | __GFP_ZERO);
 	if (!out) {
-		lcd_fb_wrn("kmalloc outbuffer fail\n");
+		LCDFB_WRN("kmalloc outbuffer fail\n");
 		goto OUT;
 	}
 
-	vaddr = (void *)Fb_map_kernel(paddr, lzma_head.file_size +
-						 sizeof(struct lzma_header));
+	vaddr = (void *)sunxi_lcd_fb_fb_map_kernel(
+		paddr, lzma_head.file_size + sizeof(struct lzma_header));
 	if (vaddr == NULL) {
-		lcd_fb_wrn("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
-		      (void *)paddr,
-		      (unsigned int)(lzma_head.file_size +
-				     sizeof(struct lzma_header)));
+		LCDFB_WRN("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
+			  (void *)paddr,
+			  (unsigned int)(lzma_head.file_size +
+					 sizeof(struct lzma_header)));
 		goto FREE_OUT;
 	}
 
 	ret = unlzma((unsigned char *)(vaddr + sizeof(struct lzma_header)),
 		     lzma_head.file_size, NULL, NULL, out, &pos, NULL);
 	if (ret) {
-		lcd_fb_wrn("unlzma fail:%d\n", ret);
+		LCDFB_WRN("unlzma fail:%d\n", ret);
 		goto UMAPKERNEL;
 	}
 
@@ -277,20 +275,20 @@ int lzma_decode(uintptr_t paddr, struct fb_info *info)
 
 	if ((bmp_header.signature[0] != 'B') ||
 	    (bmp_header.signature[1] != 'M')) {
-		lcd_fb_wrn("this is not a bmp picture\n");
+		LCDFB_WRN("this is not a bmp picture\n");
 		goto UMAPKERNEL;
 	}
 
 	bmp_bpix = bmp_header.bit_count / 8;
 
 	if ((bmp_bpix != 3) && (bmp_bpix != 4)) {
-		lcd_fb_wrn("not support bmp format:%d\n", bmp_bpix);
+		LCDFB_WRN("not support bmp format:%d\n", bmp_bpix);
 		goto UMAPKERNEL;
 	}
 
 	x = bmp_header.width;
-	y = (bmp_header.height & 0x80000000) ? (-bmp_header.height)
-					     : (bmp_header.height);
+	y = (bmp_header.height & 0x80000000) ? (-bmp_header.height) :
+						     (bmp_header.height);
 	if (bmp_bpix == 3)
 		zero_num = (4 - ((3 * x) % 4)) & 3;
 	fb_width = info->var.xres;
@@ -309,8 +307,8 @@ int lzma_decode(uintptr_t paddr, struct fb_info *info)
 
 	tmp_buffer = (char *)bmp_info.buffer;
 	screen_offset = (void *)bmp_info.buffer;
-	bmp_data =
-	    (char *)(out + bmp_header.data_offset + sizeof(struct lzma_header));
+	bmp_data = (char *)(out + bmp_header.data_offset +
+			    sizeof(struct lzma_header));
 	image_offset = (void *)bmp_data;
 	effective_width = (fb_width < x) ? fb_width : x;
 	effective_height = (fb_height < y) ? fb_height : y;
@@ -318,49 +316,45 @@ int lzma_decode(uintptr_t paddr, struct fb_info *info)
 	if (bmp_header.height & 0x80000000) {
 		screen_offset =
 			(void *)((void *__force)info->screen_base +
-					(fb_width * (abs(fb_height - y) / 2) +
-					abs(fb_width - x) / 2) *
-					(info->var.bits_per_pixel >> 3));
+				 (fb_width * (abs(fb_height - y) / 2) +
+				  abs(fb_width - x) / 2) *
+					 (info->var.bits_per_pixel >> 3));
 		for (i = 0; i < effective_height; i++) {
 			memcpy((void *)screen_offset, image_offset,
-					effective_width *
-					(info->var.bits_per_pixel >> 3));
+			       effective_width *
+				       (info->var.bits_per_pixel >> 3));
 			screen_offset =
 				(void *)(screen_offset +
-						fb_width *
-						(info->var.bits_per_pixel >>
-						3));
-			image_offset =
-				(void *)image_offset +
-				x * (info->var.bits_per_pixel >> 3);
+					 fb_width * (info->var.bits_per_pixel >>
+						     3));
+			image_offset = (void *)image_offset +
+				       x * (info->var.bits_per_pixel >> 3);
 		}
 	} else {
 		screen_offset =
 			(void *)((void *__force)info->screen_base +
-					(fb_width * (abs(fb_height - y) / 2) +
-					abs(fb_width - x) / 2) *
-					(info->var.bits_per_pixel >> 3));
+				 (fb_width * (abs(fb_height - y) / 2) +
+				  abs(fb_width - x) / 2) *
+					 (info->var.bits_per_pixel >> 3));
 
 		image_offset = (void *)bmp_data +
-					(effective_height - 1) * x *
-					(info->var.bits_per_pixel >> 3);
+			       (effective_height - 1) * x *
+				       (info->var.bits_per_pixel >> 3);
 		for (i = effective_height - 1; i >= 0; i--) {
 			memcpy((void *)screen_offset, image_offset,
-					effective_width *
-					(info->var.bits_per_pixel >> 3));
+			       effective_width *
+				       (info->var.bits_per_pixel >> 3));
 			screen_offset =
 				(void *)(screen_offset +
-						fb_width *
-						(info->var.bits_per_pixel >>
-						3));
-			image_offset =
-				(void *)bmp_data +
-				i * x * (info->var.bits_per_pixel >> 3);
+					 fb_width * (info->var.bits_per_pixel >>
+						     3));
+			image_offset = (void *)bmp_data +
+				       i * x * (info->var.bits_per_pixel >> 3);
 		}
 	}
 
 UMAPKERNEL:
-	Fb_unmap_kernel(vaddr);
+	sunxi_lcd_fb_unmap_kernel(vaddr);
 FREE_OUT:
 	kfree(out);
 OUT:
@@ -368,7 +362,7 @@ OUT:
 }
 #endif
 
-static int Fb_map_kernel_logo(struct fb_info *info)
+static int sunxi_lcd_fb_map_kernel_logo(struct fb_info *info)
 {
 	void *vaddr = NULL;
 	uintptr_t paddr = 0;
@@ -382,29 +376,31 @@ static int Fb_map_kernel_logo(struct fb_info *info)
 
 	paddr = disp_reserve_base;
 	if (!paddr || !disp_reserve_size || !info || !info->screen_base) {
-		lcd_fb_wrn("Fb_map_kernel_logo failed!");
+		LCDFB_INF("sunxi_lcd_fb_map_kernel_logo failed! skip mapping.");
 		return -1;
 	}
 
 	/* parser bmp header */
 	offset = paddr & ~PAGE_MASK;
-	vaddr = (void *)Fb_map_kernel(paddr, sizeof(struct bmp_header));
+	vaddr = (void *)sunxi_lcd_fb_fb_map_kernel(paddr,
+						   sizeof(struct bmp_header));
 	if (vaddr == NULL) {
-		lcd_fb_wrn("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
-		      (void *)paddr, (unsigned int)sizeof(struct bmp_header));
+		LCDFB_WRN("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
+			  (void *)paddr,
+			  (unsigned int)sizeof(struct bmp_header));
 		return -1;
 	}
 
 	memcpy(&bmp_pad_header.signature[0], vaddr + offset,
 	       sizeof(struct bmp_header));
-	bmp_header = (struct bmp_header *) &bmp_pad_header.signature[0];
-	if ((bmp_header->signature[0] != 'B')
-	    || (bmp_header->signature[1] != 'M')) {
-		Fb_unmap_kernel(vaddr);
+	bmp_header = (struct bmp_header *)&bmp_pad_header.signature[0];
+	if ((bmp_header->signature[0] != 'B') ||
+	    (bmp_header->signature[1] != 'M')) {
+		sunxi_lcd_fb_unmap_kernel(vaddr);
 #if IS_ENABLED(CONFIG_DECOMPRESS_LZMA)
-		return lzma_decode(paddr, info);
+		return sunxi_lcd_fb_lzma_decode(paddr, info);
 #else
-		lcd_fb_wrn("this is not a bmp picture.\n");
+		LCDFB_WRN("this is not a bmp picture.\n");
 		return -1;
 
 #endif
@@ -413,36 +409,34 @@ static int Fb_map_kernel_logo(struct fb_info *info)
 	bmp_bpix = bmp_header->bit_count / 8;
 
 	if ((bmp_bpix != 3) && (bmp_bpix != 4)) {
-		lcd_fb_wrn("Only bmp24 and bmp32 is supported!\n");
+		LCDFB_WRN("Only bmp24 and bmp32 is supported!\n");
 		return -1;
 	}
 
 	x = bmp_header->width;
-	y = (bmp_header->height & 0x80000000) ? (-bmp_header->
-						 height) : (bmp_header->height);
+	y = (bmp_header->height & 0x80000000) ? (-bmp_header->height) :
+						      (bmp_header->height);
 	if (x != info->var.xres || y != info->var.yres) {
-		Fb_unmap_kernel(vaddr);
-		lcd_fb_wrn("Bmp  [%u x %u] is not equal to fb[%d x %d]\n", x, y,
-			   info->var.xres, info->var.yres);
+		sunxi_lcd_fb_unmap_kernel(vaddr);
+		LCDFB_WRN("Bmp  [%u x %u] is not equal to fb[%d x %d]\n", x, y,
+			  info->var.xres, info->var.yres);
 		return -1;
 	}
 
 	if ((paddr <= 0) || x <= 1 || y <= 1) {
-		lcd_fb_wrn("kernel logo para error!\n");
+		LCDFB_WRN("kernel logo para error!\n");
 		return -EINVAL;
 	}
 
-	Fb_unmap_kernel(vaddr);
+	sunxi_lcd_fb_unmap_kernel(vaddr);
 
 	/* map the total bmp buffer */
-	vaddr =
-	    (void *)Fb_map_kernel(paddr,
-				  disp_reserve_size);
+	vaddr = (void *)sunxi_lcd_fb_fb_map_kernel(paddr, disp_reserve_size);
 	if (vaddr == NULL) {
-		lcd_fb_wrn("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
-		      (void *)paddr,
-		      (unsigned int)(x * y * bmp_bpix +
-		       sizeof(struct bmp_header)));
+		LCDFB_WRN("fb_map_kernel failed, paddr=0x%p,size=0x%x\n",
+			  (void *)paddr,
+			  (unsigned int)(x * y * bmp_bpix +
+					 sizeof(struct bmp_header)));
 		return -1;
 	}
 
@@ -450,24 +444,29 @@ static int Fb_map_kernel_logo(struct fb_info *info)
 	image_offset = (void *)bmp_data;
 	effective_width = x;
 	effective_height = y;
-	screen_offset =
-		(void *__force)info->screen_base;
+	screen_offset = (void *__force)info->screen_base;
 
-	bmp_to_fb(image_offset, bmp_header, info,
-		  screen_offset);
+	sunxi_lcd_fb_bmp_to_fb(image_offset, bmp_header, info, screen_offset);
 
-	Fb_unmap_kernel(vaddr);
+	sunxi_lcd_fb_unmap_kernel(vaddr);
 	return 0;
 }
 
-int logo_parse(struct fb_info *info)
+int sunxi_lcd_fb_logo_parse(struct fb_info *info)
 {
 	int ret = -1;
 
-	ret = Fb_map_kernel_logo(info);
+	ret = sunxi_lcd_fb_map_kernel_logo(info);
 
-#ifndef MODULE
-	disp_reserve_mem(false);
+#if !defined(MODULE)
+	if (!disp_reserve_size || !disp_reserve_base)
+		return -EINVAL;
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(6, 1, 0) && !defined(MODULE)
+	memblock_free(__va(disp_reserve_base), disp_reserve_size);
+#elif LINUX_VERSION_CODE < KERNEL_VERSION(6, 1, 0) && \
+	defined(CONFIG_ARCH_KEEP_MEMBLOCK)
+	memblock_free(disp_reserve_base, disp_reserve_size);
 #endif
-	return ret;;
+#endif
+	return ret;
 }
diff --git a/drivers/video/sunxi/lcd_fb/logo.h b/drivers/video/sunxi/lcd_fb/logo.h
index baf9b7cb9..37f1158ef 100644
--- a/drivers/video/sunxi/lcd_fb/logo.h
+++ b/drivers/video/sunxi/lcd_fb/logo.h
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * logo/logo.h
@@ -26,7 +26,7 @@ extern "C" {
 #include "include.h"
 
 struct bmp_pad_header {
-	char data[2];		/* pading 2 byte */
+	char data[2]; /* pading 2 byte */
 	char signature[2];
 	u32 file_size;
 	u32 reserved;
@@ -66,7 +66,22 @@ struct bmp_header {
 	/* ColorTable */
 } __packed;
 
-int logo_parse(struct fb_info *info);
+#if IS_ENABLED(CONFIG_DECOMPRESS_LZMA)
+struct lzma_header {
+	char signature[4];
+	u32 file_size;
+	u32 original_file_size;
+};
+
+struct sunxi_bmp_store {
+	int x;
+	int y;
+	int bit;
+	void *buffer;
+};
+#endif
+
+int sunxi_lcd_fb_logo_parse(struct fb_info *info);
 
 #ifdef __cplusplus
 }
diff --git a/drivers/video/sunxi/lcd_fb/panels/kld2844b.c b/drivers/video/sunxi/lcd_fb/panels/kld2844b.c
index 671bdc094..8ccb7bb7f 100644
--- a/drivers/video/sunxi/lcd_fb/panels/kld2844b.c
+++ b/drivers/video/sunxi/lcd_fb/panels/kld2844b.c
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * Copyright (c) 2007-2019 Allwinnertech Co., Ltd.
@@ -56,7 +56,6 @@ static void LCD_bl_close(u32 sel);
 static void LCD_panel_init(u32 sel);
 static void LCD_panel_exit(u32 sel);
 #define RESET(s, v) sunxi_lcd_gpio_set_value(s, 0, v)
-static struct disp_panel_para info[LCD_FB_MAX];
 
 static void address(unsigned int sel, int x, int y, int width, int height)
 {
@@ -75,11 +74,11 @@ static void address(unsigned int sel, int x, int y, int width, int height)
 static void LCD_panel_init(unsigned int sel)
 {
 	unsigned int rotate;
-	/* unsigned char result[4] = {0x0}; */
+	struct sunxi_lcd_fb_disp_panel_para info;
+	memset(&info, 0, sizeof(info));
 
-
-	if (bsp_disp_get_panel_info(sel, &info[sel])) {
-		lcd_fb_wrn("get panel info fail!\n");
+	if (sunxi_lcd_fb_bsp_disp_get_panel_info(sel, &info)) {
+		LCDFB_WRN("get panel info fail!\n");
 		return;
 	}
 
@@ -97,45 +96,44 @@ static void LCD_panel_init(unsigned int sel)
 	sunxi_lcd_para_write(sel, 0x75);
 
 	/* MY MX MV ML RGB MH 0 0 */
-	if (info[sel].lcd_x > info[sel].lcd_y)
+	if (info.lcd_x > info.lcd_y)
 		rotate = 0xa0;
 	else
 		rotate = 0xC0;
 
-
 	sunxi_lcd_cmd_write(sel, 0x3A); /* Interface Pixel Format */
 	/* 55----RGB565;66---RGB666 */
-	if (info[sel].lcd_pixel_fmt == LCDFB_FORMAT_RGB_565 ||
-	    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_BGR_565) {
+	if (info.lcd_pixel_fmt == LCDFB_FORMAT_RGB_565 ||
+	    info.lcd_pixel_fmt == LCDFB_FORMAT_BGR_565) {
 		sunxi_lcd_para_write(sel, 0x55);
-		if (info[sel].lcd_pixel_fmt == LCDFB_FORMAT_RGB_565)
+		if (info.lcd_pixel_fmt == LCDFB_FORMAT_RGB_565)
 			rotate &= 0xf7;
 		else
 			rotate |= 0x08;
-	} else if (info[sel].lcd_pixel_fmt < LCDFB_FORMAT_RGB_888) {
+	} else if (info.lcd_pixel_fmt < LCDFB_FORMAT_RGB_888) {
 		sunxi_lcd_para_write(sel, 0x66);
-		if (info[sel].lcd_pixel_fmt == LCDFB_FORMAT_BGRA_8888 ||
-		    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_BGRX_8888 ||
-		    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_ABGR_8888 ||
-		    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_XBGR_8888) {
+		if (info.lcd_pixel_fmt == LCDFB_FORMAT_BGRA_8888 ||
+		    info.lcd_pixel_fmt == LCDFB_FORMAT_BGRX_8888 ||
+		    info.lcd_pixel_fmt == LCDFB_FORMAT_ABGR_8888 ||
+		    info.lcd_pixel_fmt == LCDFB_FORMAT_XBGR_8888) {
 			rotate |= 0x08;
 		}
 	} else {
 		sunxi_lcd_para_write(sel, 0x66);
 	}
 
-	if (info[sel].lcd_if == LCD_FB_IF_SPI) {
+	if (info.lcd_if == LCD_FB_IF_SPI) {
 		sunxi_lcd_cmd_write(sel, 0xb0);
 		sunxi_lcd_para_write(sel, 0x03);
 		sunxi_lcd_para_write(sel, 0xc8); /* Little endian */
 	}
 
-	sunxi_lcd_cmd_write(sel, 0x36); /* Memory sunxi_lcd_para_write Access Control */
+	sunxi_lcd_cmd_write(
+		sel, 0x36); /* Memory sunxi_lcd_para_write Access Control */
 
 	sunxi_lcd_para_write(sel, rotate);
 
-	if (info[sel].lcd_if == LCD_FB_IF_DBI &&
-	    info[sel].dbi_if == LCD_FB_D2LI) {
+	if (info.lcd_if == LCD_FB_IF_DBI && info.dbi_if == LCD_FB_D2LI) {
 		/* two data lane */
 		sunxi_lcd_cmd_write(sel, 0xE7);
 		sunxi_lcd_para_write(sel, 0x10);
@@ -192,13 +190,12 @@ static void LCD_panel_init(unsigned int sel)
 	sunxi_lcd_para_write(sel, 0x19);
 	sunxi_lcd_para_write(sel, 0x1D);
 
-	address(sel, 0, 0, info[sel].lcd_x - 1, info[sel].lcd_y - 1);
+	address(sel, 0, 0, info.lcd_x - 1, info.lcd_y - 1);
 
 	sunxi_lcd_cmd_write(sel, 0x11); /* Sleep Out */
 	sunxi_lcd_delay_ms(120);
 	sunxi_lcd_cmd_write(sel, 0x29); /* Display ON */
 	sunxi_lcd_cmd_write(sel, 0x2c); /* Display ON */
-
 }
 
 static void LCD_panel_exit(unsigned int sel)
@@ -216,13 +213,13 @@ static void LCD_panel_exit(unsigned int sel)
 
 static s32 LCD_open_flow(u32 sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 	/* open lcd power, and delay 50ms */
 	LCD_OPEN_FUNC(sel, LCD_power_on, 50);
 	/* open lcd power, than delay 200ms */
 	LCD_OPEN_FUNC(sel, LCD_panel_init, 20);
 
-	LCD_OPEN_FUNC(sel, lcd_fb_black_screen, 50);
+	LCD_OPEN_FUNC(sel, sunxi_lcd_fb_black_screen, 50);
 	/* open lcd backlight, and delay 0ms */
 	LCD_OPEN_FUNC(sel, LCD_bl_open, 0);
 
@@ -231,7 +228,7 @@ static s32 LCD_open_flow(u32 sel)
 
 static s32 LCD_close_flow(u32 sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 	/* close lcd backlight, and delay 0ms */
 	LCD_CLOSE_FUNC(sel, LCD_bl_close, 50);
 	/* open lcd power, than delay 200ms */
@@ -245,7 +242,7 @@ static s32 LCD_close_flow(u32 sel)
 static void LCD_power_on(u32 sel)
 {
 	/* config lcd_power pin to open lcd power0 */
-	lcd_fb_here;
+	LCDFB_HERE;
 
 	sunxi_lcd_power_enable(sel, 0);
 
@@ -259,7 +256,7 @@ static void LCD_power_on(u32 sel)
 
 static void LCD_power_off(u32 sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 	/* config lcd_power pin to close lcd power0 */
 	sunxi_lcd_power_disable(sel, 0);
 }
@@ -269,7 +266,7 @@ static void LCD_bl_open(u32 sel)
 	sunxi_lcd_pwm_enable(sel);
 	/* config lcd_bl_en pin to open lcd backlight */
 	sunxi_lcd_backlight_enable(sel);
-	lcd_fb_here;
+	LCDFB_HERE;
 }
 
 static void LCD_bl_close(u32 sel)
@@ -277,7 +274,7 @@ static void LCD_bl_close(u32 sel)
 	/* config lcd_bl_en pin to close lcd backlight */
 	sunxi_lcd_backlight_disable(sel);
 	sunxi_lcd_pwm_disable(sel);
-	lcd_fb_here;
+	LCDFB_HERE;
 }
 
 static int lcd_set_var(unsigned int sel, struct fb_info *p_info)
@@ -296,7 +293,8 @@ static int lcd_blank(unsigned int sel, unsigned int en)
 	return 0;
 }
 
-static int lcd_set_addr_win(unsigned int sel, int x, int y, int width, int height)
+static int lcd_set_addr_win(unsigned int sel, int x, int y, int width,
+			    int height)
 {
 	address(sel, x, y, width, height);
 	sunxi_lcd_cmd_write(sel, 0x2c); /* Display ON */
@@ -312,5 +310,5 @@ struct __lcd_panel kld2844b_panel = {
 		.blank = lcd_blank,
 		.set_var = lcd_set_var,
 		.set_addr_win = lcd_set_addr_win,
-		},
+	},
 };
diff --git a/drivers/video/sunxi/lcd_fb/panels/kld2844b.h b/drivers/video/sunxi/lcd_fb/panels/kld2844b.h
index f31a8f55e..4bf9454c0 100644
--- a/drivers/video/sunxi/lcd_fb/panels/kld2844b.h
+++ b/drivers/video/sunxi/lcd_fb/panels/kld2844b.h
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * Copyright (c) 2007-2019 Allwinnertech Co., Ltd.
diff --git a/drivers/video/sunxi/lcd_fb/panels/kld35512.c b/drivers/video/sunxi/lcd_fb/panels/kld35512.c
index b0d421944..0033330f0 100644
--- a/drivers/video/sunxi/lcd_fb/panels/kld35512.c
+++ b/drivers/video/sunxi/lcd_fb/panels/kld35512.c
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * Copyright (c) 2007-2019 Allwinnertech Co., Ltd.
@@ -56,9 +56,6 @@ static void LCD_panel_exit(u32 sel);
 
 #define RESET(s, v) sunxi_lcd_gpio_set_value(s, 0, v)
 
-
-static struct disp_panel_para info[LCD_FB_MAX];
-
 static void address(unsigned int sel, int x, int y, int width, int height)
 {
 	sunxi_lcd_cmd_write(sel, 0x2B); /* Set row address */
@@ -73,10 +70,9 @@ static void address(unsigned int sel, int x, int y, int width, int height)
 	sunxi_lcd_para_write(sel, width & 0xff);
 }
 
-
 static void reset_panel(unsigned int sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 
 	sunxi_lcd_pin_cfg(sel, 1);
 	RESET(sel, 1);
@@ -89,10 +85,11 @@ static void reset_panel(unsigned int sel)
 static void LCD_panel_init(unsigned int sel)
 {
 	unsigned int rotate;
+	struct sunxi_lcd_fb_disp_panel_para info;
+	memset(&info, 0, sizeof(info));
 
-
-	if (bsp_disp_get_panel_info(sel, &info[sel])) {
-		lcd_fb_wrn("get panel info fail!\n");
+	if (sunxi_lcd_fb_bsp_disp_get_panel_info(sel, &info)) {
+		LCDFB_WRN("get panel info fail!\n");
 		return;
 	}
 
@@ -103,11 +100,12 @@ static void LCD_panel_init(unsigned int sel)
 	sunxi_lcd_para_write(sel, 0x96);
 
 	sunxi_lcd_cmd_write(sel, 0xB4); /* Display Inversion Control */
-	sunxi_lcd_para_write(sel, 0x01);  /* 1-dot */
+	sunxi_lcd_para_write(sel, 0x01); /* 1-dot */
 
 	sunxi_lcd_cmd_write(sel, 0xB7);
 	sunxi_lcd_para_write(sel, 0xC6);
-	sunxi_lcd_cmd_write(sel, 0xe6); /* Fixed SPI 50MHz and 60MHz LCD display problems */
+	sunxi_lcd_cmd_write(
+		sel, 0xe6); /* Fixed SPI 50MHz and 60MHz LCD display problems */
 	sunxi_lcd_para_write(sel, 0xff);
 	sunxi_lcd_para_write(sel, 0xc2);
 
@@ -187,8 +185,7 @@ static void LCD_panel_init(unsigned int sel)
 	sunxi_lcd_para_write(sel, 0x50);
 	sunxi_lcd_para_write(sel, 0x10);
 
-	if (info[sel].lcd_if == LCD_FB_IF_DBI &&
-	    info[sel].dbi_if == LCD_FB_D2LI) {
+	if (info.lcd_if == LCD_FB_IF_DBI && info.dbi_if == LCD_FB_D2LI) {
 		/* two data lane */
 		sunxi_lcd_cmd_write(sel, 0xB9);
 		sunxi_lcd_para_write(sel, 0x00);
@@ -196,7 +193,7 @@ static void LCD_panel_init(unsigned int sel)
 	}
 	sunxi_lcd_cmd_write(sel, 0x36);
 	/* MY MX MV ML RGB MH 0 0 */
-	if (info[sel].lcd_x > info[sel].lcd_y)
+	if (info.lcd_x > info.lcd_y)
 		rotate = 0x20;
 	else
 		rotate = 0x40;
@@ -204,21 +201,25 @@ static void LCD_panel_init(unsigned int sel)
 
 	sunxi_lcd_cmd_write(sel, 0x3A);
 	/* 55----RGB565;66---RGB666 */
-	if (info[sel].lcd_pixel_fmt == LCDFB_FORMAT_RGB_565 ||
-	    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_BGR_565) {
+	if (info.lcd_pixel_fmt == LCDFB_FORMAT_RGB_565 ||
+	    info.lcd_pixel_fmt == LCDFB_FORMAT_BGR_565) {
 		sunxi_lcd_para_write(sel, 0x55);
-		sunxi_lcd_cmd_write(sel, 0x36); /* Memory sunxi_lcd_para_write Access Control */
-		if (info[sel].lcd_pixel_fmt == LCDFB_FORMAT_RGB_565)
+		sunxi_lcd_cmd_write(
+			sel,
+			0x36); /* Memory sunxi_lcd_para_write Access Control */
+		if (info.lcd_pixel_fmt == LCDFB_FORMAT_RGB_565)
 			sunxi_lcd_para_write(sel, rotate | 0x08);
 		else
 			sunxi_lcd_para_write(sel, rotate & 0xf7);
-	} else if (info[sel].lcd_pixel_fmt < LCDFB_FORMAT_RGB_888) {
+	} else if (info.lcd_pixel_fmt < LCDFB_FORMAT_RGB_888) {
 		sunxi_lcd_para_write(sel, 0x77);
-		if (info[sel].lcd_pixel_fmt == LCDFB_FORMAT_RGBA_8888 ||
-		    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_RGBX_8888 ||
-		    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_ARGB_8888 ||
-		    info[sel].lcd_pixel_fmt == LCDFB_FORMAT_XRGB_8888) {
-			sunxi_lcd_cmd_write(sel, 0x36); /* Memory sunxi_lcd_para_write Access Control */
+		if (info.lcd_pixel_fmt == LCDFB_FORMAT_RGBA_8888 ||
+		    info.lcd_pixel_fmt == LCDFB_FORMAT_RGBX_8888 ||
+		    info.lcd_pixel_fmt == LCDFB_FORMAT_ARGB_8888 ||
+		    info.lcd_pixel_fmt == LCDFB_FORMAT_XRGB_8888) {
+			sunxi_lcd_cmd_write(
+				sel,
+				0x36); /* Memory sunxi_lcd_para_write Access Control */
 			sunxi_lcd_para_write(sel, rotate | 0x08);
 		}
 
@@ -226,8 +227,7 @@ static void LCD_panel_init(unsigned int sel)
 		sunxi_lcd_para_write(sel, 0x66);
 	}
 
-
-	address(sel, 0, 0, info[sel].lcd_x - 1, info[sel].lcd_y - 1);
+	address(sel, 0, 0, info.lcd_x - 1, info.lcd_y - 1);
 	sunxi_lcd_cmd_write(sel, 0xF0);
 	sunxi_lcd_para_write(sel, 0x3c);
 
@@ -238,7 +238,6 @@ static void LCD_panel_init(unsigned int sel)
 	sunxi_lcd_delay_ms(120);
 	sunxi_lcd_cmd_write(sel, 0x29);
 	sunxi_lcd_cmd_write(sel, 0x2c); /* Display ON */
-
 }
 
 static void LCD_panel_exit(unsigned int sel)
@@ -252,7 +251,6 @@ static void LCD_panel_exit(unsigned int sel)
 	sunxi_lcd_delay_ms(10);
 
 	sunxi_lcd_pin_cfg(sel, 0);
-
 }
 
 static int lcd_blank(unsigned int sel, unsigned int en)
@@ -265,16 +263,15 @@ static int lcd_blank(unsigned int sel, unsigned int en)
 	return 0;
 }
 
-
 static s32 LCD_open_flow(u32 sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 	/* open lcd power, and delay 50ms */
 	LCD_OPEN_FUNC(sel, LCD_power_on, 50);
 	/* open lcd power, than delay 200ms */
 	LCD_OPEN_FUNC(sel, LCD_panel_init, 20);
 
-	LCD_OPEN_FUNC(sel, lcd_fb_black_screen, 20);
+	LCD_OPEN_FUNC(sel, sunxi_lcd_fb_black_screen, 20);
 	/* open lcd backlight, and delay 0ms */
 	LCD_OPEN_FUNC(sel, LCD_bl_open, 0);
 
@@ -283,7 +280,7 @@ static s32 LCD_open_flow(u32 sel)
 
 static s32 LCD_close_flow(u32 sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 	/* close lcd backlight, and delay 0ms */
 	LCD_CLOSE_FUNC(sel, LCD_bl_close, 50);
 	/* open lcd power, than delay 200ms */
@@ -297,14 +294,14 @@ static s32 LCD_close_flow(u32 sel)
 static void LCD_power_on(u32 sel)
 {
 	/* config lcd_power pin to open lcd power0 */
-	lcd_fb_here;
+	LCDFB_HERE;
 	sunxi_lcd_power_enable(sel, 0);
 	reset_panel(sel);
 }
 
 static void LCD_power_off(u32 sel)
 {
-	lcd_fb_here;
+	LCDFB_HERE;
 	/* config lcd_power pin to close lcd power0 */
 	sunxi_lcd_power_disable(sel, 0);
 }
@@ -314,7 +311,7 @@ static void LCD_bl_open(u32 sel)
 	sunxi_lcd_pwm_enable(sel);
 	/* config lcd_bl_en pin to open lcd backlight */
 	sunxi_lcd_backlight_enable(sel);
-	lcd_fb_here;
+	LCDFB_HERE;
 }
 
 static void LCD_bl_close(u32 sel)
@@ -322,16 +319,16 @@ static void LCD_bl_close(u32 sel)
 	/* config lcd_bl_en pin to close lcd backlight */
 	sunxi_lcd_backlight_disable(sel);
 	sunxi_lcd_pwm_disable(sel);
-	lcd_fb_here;
+	LCDFB_HERE;
 }
 
-
 static int lcd_set_var(unsigned int sel, struct fb_info *p_info)
 {
 	return 0;
 }
 
-static int lcd_set_addr_win(unsigned int sel, int x, int y, int width, int height)
+static int lcd_set_addr_win(unsigned int sel, int x, int y, int width,
+			    int height)
 {
 	address(sel, x, y, width, height);
 	sunxi_lcd_cmd_write(sel, 0x2c); /* Display ON */
@@ -347,5 +344,5 @@ struct __lcd_panel kld35512_panel = {
 		.blank = lcd_blank,
 		.set_var = lcd_set_var,
 		.set_addr_win = lcd_set_addr_win,
-		},
+	},
 };
diff --git a/drivers/video/sunxi/lcd_fb/panels/kld35512.h b/drivers/video/sunxi/lcd_fb/panels/kld35512.h
index 36886d6ba..b8a2ff52e 100644
--- a/drivers/video/sunxi/lcd_fb/panels/kld35512.h
+++ b/drivers/video/sunxi/lcd_fb/panels/kld35512.h
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * Copyright (c) 2007-2019 Allwinnertech Co., Ltd.
